Clanbite Forums clanbite-forums/v1

GET | POST /wp-json/clanbite-forums/v1/forums/(?P<slug>[-a-zA-Z0-9_]+)/topics

GET

Public. Anyone can call this endpoint.

ArgumentTypeDefaultDescription
pageinteger1
Minimum 1
per_pageinteger…
Minimum 1 · Maximum 100

Handled by get_forum_topics()

POST

Access is checked by require_login().

Handled by create_topic()

Example

curl -X GET 'https://example.com/wp-json/clanbite-forums/v1/forums/(?P<slug>[-a-zA-Z0-9_]+)/topics'

Defined in inc/Rest/Rest_Controller.php